com.pixelmed.display

## Class SafeCursorChanger

- java.lang.Object
- - com.pixelmed.display.SafeCursorChanger

    public class SafeCursorChanger
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `SafeCursorChanger.SafeCursorGetterThread`
`class` `SafeCursorChanger.SafeCursorSetterThread`

### Field Summary

Fields
`protected java.awt.Component` `component`
`protected java.awt.Cursor` `was`

### Constructor Summary

Constructors
Constructor and Description
`SafeCursorChanger(java.awt.Component component)`

### Method Summary

Methods
`void` `restoreCursor()`
`void` `saveCursor()`
`void` `setWaitCursor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### was

    protected java.awt.Cursor was

#### component

    protected java.awt.Component component

### Constructor Detail

#### SafeCursorChanger

    public SafeCursorChanger(java.awt.Component component)

### Method Detail

#### saveCursor

    public void saveCursor()

#### setWaitCursor

    public void setWaitCursor()

#### restoreCursor

    public void restoreCursor()